#include <iostream>

using namespace std;

int main()
{
    //       spojlova| | trenutni
    long long int a,b,x,y;
    cin >> a >> b >> x >> y;

    if(a>x && b>y)
        cout << "?" << endl;

    else if(a>x && b==y)
        cout << "prvi" << endl;

    else if(a==x && b>y)
        cout << "drugi" << endl;

    else
        cout << "nijedan" << endl;
    return 0;
}